# Class ServerDirectoryService | EchoHub Documentation

# Class ServerDirectoryService

Namespace
  EchoHub.Server.Services

Assembly
  EchoHub.Server.dll

    public sealed class ServerDirectoryService : BackgroundService, IDisposable

Inheritance
  object
  BackgroundService
  ServerDirectoryService

Implements
  IDisposable

Inherited Members
  object.GetType()
  object.ToString()
  object.Equals(object)
  object.Equals(object, object)
  object.ReferenceEquals(object, object)
  object.GetHashCode()

## Constructors

### ServerDirectoryService(IConfiguration, PresenceTracker, DirectoryClaimStore, ILogger<ServerDirectoryService>)

    public ServerDirectoryService(IConfiguration configuration, PresenceTracker presenceTracker, DirectoryClaimStore claimStore, ILogger<ServerDirectoryService> logger)

#### Parameters

`configuration` IConfiguration
`presenceTracker` PresenceTracker
`claimStore` DirectoryClaimStore
`logger` ILogger<ServerDirectoryService>

## Methods

### ExecuteAsync(CancellationToken)

    protected override Task ExecuteAsync(CancellationToken stoppingToken)

#### Parameters

`stoppingToken` CancellationToken

#### Returns

Task

### StopAsync(CancellationToken)

    public override Task StopAsync(CancellationToken cancellationToken)

#### Parameters

`cancellationToken` CancellationToken

#### Returns

Task